## tclcurl 7.22.0+hg20160822

=== debian/changelog ===
tclcurl (7.22.0+hg20160822-3) unstable; urgency=medium

  * Orphan package.
  * Update debhelper-compat level to 13.
  * Bump Standards-Version to 4.5.1 - no changes.
  * Set Rules-Requires-Root: no in debian/control.
  * Update source/format to 3.0 (quilt).
  * Remove additional linker flags in debian/rules, default with
    bullseye.

 -- Sven Hoexter <hoexter@debian.org>  Tue, 17 Aug 2021 20:40:01 +0200

tclcurl (7.22.0+hg20160822-2) unstable; urgency=medium

  * Remove Hompage from d/control - does no longer exist.
  * Adjust Vcs-* to point to https endpoints.
  * Bump Standards-Version to 4.2.1.
  * Change package priority from extra to optional.
  * Change debhelper compat level to 11 and move the
    declaration to Build-Depends.
  * Update d/copyright to note that the repository this
    package was based on is now offline.

 -- Sven Hoexter <hoexter@debian.org>  Thu, 01 Nov 2018 09:54:01 +0100

tclcurl (7.22.0+hg20160822-1) unstable; urgency=low

  * Import a mercurial snapshot based on 475f63137a7e.
   + Removed alle patches, all appliead upstream, thanks again Steve.
  * Do not Build-Depend on quilt, removed --with quilt from d/rules.
  * Bump Standards-Version to 3.9.8 - no changes required.

 -- Sven Hoexter <hoexter@debian.org>  Sun, 04 Sep 2016 16:52:08 +0200

tclcurl (7.22.0+hg20151017-1) unstable; urgency=low

  * Import a mercurial snapshot based on b5bc0662447d.
    + Removed all patches, all applied upstream. Thanks Steve.
  * Remove d/watch. The old download location is no longer available.
  * Update d/copyright and add the link to Steve Havelkas bitbuck repository.
  * Add d/patches/bts801734.patch - thanks to Christian Werner!
    (Closes: #801734)
  * Add d/patches/bts719441.patch - thanks to Christian Werner!
    (Closes: #719441.patch)

 -- Sven Hoexter <hoexter@debian.org>  Sat, 17 Oct 2015 23:26:15 +0200

tclcurl (7.22.0-2) unstable; urgency=low

  * Point the Homepage field to a mirror of the last website to cater
    http://duck.debian.net/ and the DUCK challenge.
  * Bump Standards-Version to 3.9.6.
  * s/transfered/transferred/ in several manpages as suggest by lintian.

 -- Sven Hoexter <hoexter@debian.org>  Tue, 21 Jul 2015 19:42:25 +0200

tclcurl (7.22.0-1) unstable; urgency=low

  * New upstream release
    + Remove debian/patches/deprecated-curl-types - fixed upstream.
    + Build-depend on libcurl4-gnutls-dev (>= 7.22.0).
    + Refresh all patches.
  * Remove overrides for dh_clean and dh_installexamples. All the
    build artefacts which required special handling are no longer
    included in the upstream tarball.
  * Switch to dh compat level 9, build-depend on debhelper (>= 9).
  * Switch LDFLAGS to DEB_LDFLAGS_MAINT_PREPEND.
  * Change Standards-Version to 3.9.3 - no changes required.
  * Update copyright year and download location in debian/copyright.
  * Update homepage in debian/watch and debian/control.
  * Continue to move the libs to /usr/lib/tcltk/ for now against
    the will of the buildsystem. Original installation path is
    now architecture dependend.

 -- Sven Hoexter <hoexter@debian.org>  Sat, 02 Jun 2012 20:48:44 +0200

tclcurl (7.19.6-3) unstable; urgency=low

  * Add debian/patches/deprecated-curl-types to no longer include
    curl/types.h and curl/easy.h. Both are deprecated and got removed
    from recent curl releases. (Closes: #636558)

 -- Sven Hoexter <hoexter@debian.org>  Thu, 04 Aug 2011 19:52:22 +0200

tclcurl (7.19.6-2) unstable; urgency=low

  * Bumb Standards-Version to 3.9.2 - no changes.
  * Add ${misc:Depends} to the binary package.
  * Update homepage url to a generic hostname.
  * Update VCS-* to the new git repository.
  * Convert to dh:
    + Build-Depend on debhelper (>= 8).
    + Increase compat level to 8.
    + Shorten debian/rules to the bare essentials.
    + Override dh_makeshlibs call to add tcltk-depends.
    + Override dh_clean to not remove several left-overs included upstream.
    + Override dh_installexamples to not install a.tcl~.
    + Emtpy override for dh_auto_test, the referenced all.tcl doesn't exist;
      Most of the tests require network access anyway, which isn't given
      on the buildds.
  * Add debian/source/format -> 1.0.
  * Add a watch file.
  * Add debian/patches/(man-hyphen-as-minus|man-spelling) to fix several
    manpage issue flagged by lintian.

 -- Sven Hoexter <hoexter@debian.org>  Thu, 28 Apr 2011 13:51:13 +0200

tclcurl (7.19.6-1) unstable; urgency=low

  * New upstream release.
    + Build-Depend at least on libcurl4 (>= 7.19.6).
    + Refresh patches/correct-linking.
  * Bumb Standards-Version to 3.8.3 - no changes.
  * Change maintainer e-mail to my @d.o address.

 -- Sven Hoexter <hoexter@debian.org>  Wed, 11 Nov 2009 23:26:11 +0100

tclcurl (7.19.0-1) unstable; urgency=low

  * New upstream release.
    + Refresh all patches.
    + Build-Depend at least on libcurl4 (>= 7.19.0).
  * Update mail address of the upstream maintainer in debian/copyright.
  * Bump Standards-Version to 3.8.2.
    + Add a debian/README.source file.
  * Update debian/copyright with copyright information for Makefile.in
    and tclconfig/tcl.m4. Thanks to Ondrej Certik for the pointer in
    mysqltcl which has to applied here aswell.
  * Add description header to all patches.
  * Add patches/example-shebang. This patch adds a working shebang line
    to those example files that carry one (Thanks to Sergei).
  * Set the permissions for the example files to 644, except for those
    with a working shebang line (Thanks to Sergei).

 -- Sven Hoexter <sven@timegate.de>  Wed, 05 Aug 2009 21:30:47 +0200

tclcurl (7.17.1-1) unstable; urgency=low

  * New upstream release to support curl 7.17.1 features.
  * Following lintian advice for debian-rules-ignores-make-clean-error.
  * Moved the Homepage from the Description into the new Homepage field.
  * Removed man-quoting patch; got applied upstream.
  * Standards-Version: 3.7.3 - no changes required.
  * Build depend on tcl-dev instead of tcl8.4-dev.

