=== debian/control ===
Source: tclcurl
Section: interpreters
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), tcl-dev, libcurl4-gnutls-dev (>= 7.22.0), bc
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Git: https://git.sven.stormbind.net/tclcurl.git
Vcs-Browser: https://git.sven.stormbind.net/?p=sven/tclcurl.git

Package: tclcurl
Architecture: any
Suggests: libcurl4-gnutls-dev
Depends: ${misc:Depends}, ${shlibs:Depends}, ${tclsh:Depends}
Description: Tcl bindings to libcurl
 This module enables the use of libcurl in Tcl scripts. Please refer to
 the libcurl documentation available in the libcurl4-gnutls-dev package.
 .
 NOTE: the SSL support is provided by GnuTLS.
