## tclcurl 7.22.1

=== debian/changelog ===
tclcurl (7.22.1-2) unstable; urgency=medium

  * Building both Tcl9 and Tcl8 extension libraries
  * Debian Standards 4.7.3 compliance
  * New patches to support Tcl9
  * Upgrade tcl.m4 to TEA 2.69
  * Add debian/clean to purge build directories
  * Let dh_install install tclcurl.tcl in the target directory

 -- Massimo Manghi <mxmanghi@apache.org>  Fri, 26 Dec 2025 23:24:54 +0100

tclcurl (7.22.1-1) unstable; urgency=medium

  * Package adoption (Closes: #992338)
  * Source code based on the GH tclcurl-fa repository after merging the
    version kept on the Androwish repository with a few bug fixes and
    code improvements
  * Checked compliance with standards version 4.7.0
  * Add debian/watch file

 -- Massimo Manghi <mxmanghi@apache.org>  Thu, 15 Aug 2024 22:08:09 +0000
