=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: tclcurl
 Section: interpreters
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 13), tcl-dev, libcurl4-gnutls-dev (>= 7.22.0), bc
-Standards-Version: 4.5.1
+Maintainer: Massimo Manghi <mxmanghi@apache.org>
+Build-Depends: debhelper-compat (= 13), libcurl4-gnutls-dev (>= 7.22.0), bc, tcl8.6-dev, tcl9.0-dev, tcl-dev
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Vcs-Git: https://git.sven.stormbind.net/tclcurl.git
-Vcs-Browser: https://git.sven.stormbind.net/?p=sven/tclcurl.git
 
 Package: tclcurl
 Architecture: any
