=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
TCLVERSIONS = 8.6 9.0

%:
	dh $@

override_dh_auto_configure:
	for v in $(TCLVERSIONS) ; do \
		dh_auto_configure --builddir=$(CURDIR)/debian/$$v -- \
				  --prefix=/usr			\
				  --mandir=/usr/share/man	\
				  --infodir=/usr/share/info	\
				  --enable-threads		\
				  --with-tcl=/usr/lib/tcl$$v ;	\
	done

override_dh_auto_build:
	for v in $(TCLVERSIONS) ; do \
		BUILD_DIR="$(CURDIR)/debian/$$v"; \
		echo "Building tclcurl for Tcl$$v in $$BUILD_DIR" ; \
		dh_auto_build --builddir=$(CURDIR)/debian/$$v --; \
	done

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tclcurl/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/TclCurl ;
	for v in $(TCLVERSIONS) ; do \
		dh_auto_install --destdir=$(CURDIR)/debian/tclcurl ; \
		cp -v   $(CURDIR)/debian/$$v/lib*.so \
			$(CURDIR)/debian/tclcurl/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/TclCurl ;\
	done
	cp -v   $(CURDIR)/debian/8.6/pkgIndex.tcl \
		$(CURDIR)/debian/tclcurl/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/TclCurl ;
	rm -rf 	$(CURDIR)/debian/tclcurl/usr/share/man/mann \
		$(CURDIR)/debian/tclcurl/usr/bin \
		$(CURDIR)/debian/tclcurl/usr/include \
		$(CURDIR)/debian/tclcurl/usr/lib/$(DEB_HOST_MULTIARCH) ;
	chmod 644 $(CURDIR)/tests/*.tcl \
		  $(CURDIR)/tests/multi/double.tcl \
		  $(CURDIR)/tests/multi/single.tcl

override_dh_auto_test:

override_dh_makeshlibs:
	dh_makeshlibs
	tcltk-depends
